import React from "react";
import classNames from "classnames";
import { makeStyles } from "@material-ui/core/styles";

import Header from "components/Header/Header.js";
import HeaderLinks from "components/Header/HeaderHino.js";
import Footer from "components/Footer/FooterHino.js";
import ProductDetail from "pages-sections/hino/product/product_details.js";
import Parallax from "components/Parallax/Parallax.js";
import styles from "assets/jss/nextjs-material-kit/pages/components.js";
import GetDetailproduct from "api/product/product.js"
import Cookies from "cookies";

const useStyles = makeStyles(styles);

const ProductDetails = function ({ backend, detailproduct, user, ...props })  {
    const classes = useStyles();
    const { ...rest } = props;
    return (
        <div>
        <Header
            rightLinks={<HeaderLinks username={user} />}
            fixed
            color="info"
            changeColorOnScroll={{
            height: 400,
            color: "white"
            }}
            {...rest}
        />
        <Parallax image={require("assets/img/Promotion_2-1.jpg")} width="200px"/>
        <div className={classNames(classes.main, classes.mainRaised)}>
            <ProductDetail detailproduct={detailproduct} backend={backend}/>  
        </div>
        <Footer />
        </div>
    );
}

export default ProductDetails;

export async function getServerSideProps(context) {
    var {query} = context;
    var detailproduct = [];
    const backend = process.env.BACKEND_SERVER_URI;

    var { req, resp } = context;
    const cookies = new Cookies(req, resp);
    var user = "";
    var userObj = (await cookies.get("user"))
        ? JSON.parse(await cookies.get("user"))
        : null;
    if (userObj) {
        let sessionId = userObj["partners_login_states"].filter(function (i) {
        return (
            i.business_partner && i.business_partner.name.toUpperCase() == "HINO"
        );
        });
        if (sessionId.length != 0) user = userObj["username"];
    }

	var res = await GetDetailproduct.GetDetailProduct(query.s||0);
	if (res["STATUS"] === 1) {
		detailproduct = res["DATA"]["products"];
	}
    
	return {
		props: { detailproduct, backend, user }, // will be passed to the page component as props
	};
}